> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get spreads

GET https://www.okx.com/api/v5/sprd/spreads

Retrieve the list of available spreads and their details. This is a public endpoint that does not require authentication.

Reference: https://okx-demo.ferndocs.com/api/api-reference/spread-trading/get-spreads

## Request

### Query parameters

- `baseCcy` (string, optional) — Currency of the base leg, e.g. BTC.
- `instId` (string, optional) — Instrument ID of a leg contained in the spread, e.g. BTC-USDT.
- `sprdId` (string, optional) — Spread ID.
- `state` (enum, optional) — Spread state.
  - Allowed values: `live`, `suspend`, `expired`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5SprdSpreadsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5SprdSpreadsGetResponsesContentApplicationJsonSchemaDataItems

- `sprdId` (string, optional) — Spread ID.
- `sprdType` (string, optional) — Spread type.
- `state` (string, optional) — Spread state.
- `baseCcy` (string, optional) — Base currency of the spread.
- `szCcy` (string, optional) — Currency used for the order quantity.
- `quoteCcy` (string, optional) — Quote currency of the spread.
- `tickSz` (string, optional) — Tick size, i.e. the smallest price increment.
- `minSz` (string, optional) — Minimum order size.
- `lotSz` (string, optional) — Lot size, i.e. the order quantity increment.
- `listTime` (string, optional) — Listing time, Unix timestamp in milliseconds.
- `expTime` (string, optional) — Expiry time, Unix timestamp in milliseconds.
- `uTime` (string, optional) — Update time, Unix timestamp in milliseconds.
- `legs` (list of ApiV5SprdSpreadsGetResponsesContentApplicationJsonSchemaDataItemsLegsItems, optional) — Legs of the spread.

### ApiV5SprdSpreadsGetResponsesContentApplicationJsonSchemaDataItemsLegsItems

- `instId` (string, optional) — Instrument ID of the leg.
- `side` (string, optional) — Direction of the leg.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "sprdId": "ETH-USD-SWAP_ETH-USD-231229",
      "sprdType": "inverse",
      "state": "live",
      "baseCcy": "ETH",
      "szCcy": "USD",
      "quoteCcy": "USD",
      "tickSz": "0.01",
      "minSz": "10",
      "lotSz": "10",
      "listTime": "1686903000159",
      "expTime": "1703836800000",
      "uTime": "1691376905595",
      "legs": [
        {
          "instId": "ETH-USD-SWAP",
          "side": "sell"
        },
        {
          "instId": "ETH-USD-231229",
          "side": "buy"
        }
      ]
    },
    {
      "sprdId": "BTC-USDT_BTC-USDT-SWAP",
      "sprdType": "linear",
      "state": "live",
      "baseCcy": "BTC",
      "szCcy": "BTC",
      "quoteCcy": "USDT",
      "tickSz": "0.0001",
      "minSz": "0.001",
      "lotSz": "1",
      "listTime": "1597026383085",
      "expTime": "1597029999085",
      "uTime": "1597028888085",
      "legs": [
        {
          "instId": "BTC-USDT",
          "side": "sell"
        },
        {
          "instId": "BTC-USDT-SWAP",
          "side": "buy"
        }
      ]
    },
    {
      "sprdId": "BTC-USDT_BTC-USDT-230317",
      "sprdType": "linear",
      "state": "live",
      "baseCcy": "BTC",
      "szCcy": "BTC",
      "quoteCcy": "USDT",
      "tickSz": "0.0001",
      "minSz": "0.001",
      "lotSz": "1",
      "listTime": "1597026383085",
      "expTime": "1597029999085",
      "uTime": "1597028888085",
      "legs": [
        {
          "instId": "BTC-USDT",
          "side": "sell"
        },
        {
          "instId": "BTC-USDT-230317",
          "side": "buy"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python spreadTrading_getSpreads_example
import requests

url = "https://www.okx.com/api/v5/sprd/spreads"

response = requests.get(url)

print(response.json())
```

```javascript spreadTrading_getSpreads_example
const url = 'https://www.okx.com/api/v5/sprd/spreads';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go spreadTrading_getSpreads_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/sprd/spreads"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby spreadTrading_getSpreads_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/sprd/spreads")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java spreadTrading_getSpreads_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/sprd/spreads")
  .asString();
```

```php spreadTrading_getSpreads_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/sprd/spreads');

echo $response->getBody();
```

```csharp spreadTrading_getSpreads_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/sprd/spreads");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift spreadTrading_getSpreads_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/sprd/spreads")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```